// module UDPThread.h
// Copyright Dr.E.Huckert 12-2010

#ifndef UDPTHREAD_DEFINED
#define UDPTHREAD_DEFINED

#include <winsock2.h>  // muss fuer Borland vor winsock.h erscheinen!
#include <winsock.h>
#include <io.h>
#include "threadbase.h"

class UDPThread : public ThreadBase
{
  private:
    DWORD threadId;
    int errors;
    struct sockaddr_in udpSender;
    int port;
    int sock;
  public:
    HU_TRACE *pTrace;
    UDPThread(int udpPort,
              HU_Q *piq, Mutex *pim, HU_Q *poq, Mutex *pom);
    ~UDPThread();
    int createAndRun();
    int stop();
    void setLogging(HU_TRACE *pt);
    int receive(char *data, size_t size);
    int getNoErrors()
    { return this->errors; };
};
#endif